using System;
using System.Collections.Generic;
using System.Xml.Serialization;

namespace XYY.Service.Standard.ChannelApi.YanWen
{
    public partial class Api
    {
        [XmlRoot("ExpressType")]
        public class NanJingPackage_Entity
        {
            [XmlElement(ElementName = "Epcode")]
            public string Epcode { get; set; }
            //[XmlElement(ElementName= "Userid")]
            public string Userid { get; set; }

            [XmlElement(ElementName = "Channel")]
            public string Channel { get; set; }

            [XmlElement(ElementName = "UserOrderNumber")]
            public string UserOrderNumber { get; set; }
            [XmlElement(ElementName = "SendDate")]
            public DateTime SendDate { get; set; }
            [XmlElement(ElementName = "Receiver")]
            public Receiver Receiver { get; set; }
            [XmlElement(ElementName = "GoodsName")]
            public List<NanJingGoods> Goods { get; set; }

            public string Memo { get; set; }
            public int Quantity { get; set; }

            public string PackageNo { get; set; }


        }
    }
}
